<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
		<form-bean
				name="w83bCierreMensual"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bCierreMensualResultadoBean" type="w83b.w83bBeans.W83bCierreMensualBean"/>
		</form-bean>
		<form-bean
				name="w83bCierreMensualServCent"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bCierreMensualResultadoBean" type="w83b.w83bBeans.W83bCierreMensualBean"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="w83bCierreMensualBean" type="w83b.w83bBeans.W83bCierreMensualBean"/>
				<form-property name="w83bCierreMensualResultadoBean" type="w83b.w83bBeans.W83bCierreMensualBean"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.informes"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.listados"/>
				<form-property name="w83bListaCierreBean" type="java.util.List"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
				<form-property name="w83bMapaCierreBean" type="java.util.Map"/>
				<form-property name="w83bMapaProcesar" type="java.util.Map"/>
				<form-property name="w83bNoexcel" type="java.lang.String"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path ="/w83bInicioCierre" forward="/w83bPaginaInicioCierreMedio.do"/>
		<action path ="/w83bInicioCierreMensual" forward="paginaInicioCierre"/>
		<action path ="/w83bInicioCierreFinalServCent" forward="paginaInicioCierreFinalServCent"/>
		<action
				path ="/w83bInicioUtilidades" forward="/w83bPaginaInicioUtilidades.do"/>
<!--	DISPATCHES-->
		<action
				path="/w83bCierreMensual"
				name="w83bCierreMensual"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bIrPaginaBienvenida.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelCierremensual.do"/>
				<forward
					name="imprimirtabla"
					path="/w83bImprimirTabla.do"/>
		</action>
		
		<action
				path="/w83bCierreMensualServCent"
				name="w83bCierreMensualServCent"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bIrPaginaBienvenida.do"/>
		</action>
		
		<action path="/w83bPaginaInicioUtilidades" scope="request" type="w83b.w83bOperacionesPaso.w83bRegistroDefinitivo.W83bPaginaInicioUtilidadesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaInicioUtilidadesMedio.do"/>
			<forward name="error" path="/w83bInicioUtilidades.do"/>
		</action>
		
		<action
				path ="/w83bPaginaInicioUtilidadesMedio" forward="paginaInicioUtilidadesComun"/>
		
		<action path="/w83bPaginaInicioCierreMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bInicioCierreOPAction" 
			 validate="false">
			<forward name="delegacion" path="/w83bInicioCierreFinal.do"/>
			<forward name="servicioscentrales" path="/w83bInicioCierreFinalServCent.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
		</action>
		
		<action path ="/w83bInicioCierreFinal" 
			 parameter="w83bInicioCierreOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioCierreMensual.do" />
					<forward name="error" path="/w83bInicioCierre.do" />
		</action>
		
		<action path ="/w83bPrevalidarCierreOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bPrevalidarCierreOPAction" 
			 validate="false">
			<forward name="find" path="/w83bCrearTablaPrevCierre.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
			<forward name="outPut" path="/w83bPrevalidarCierreOutOP.do"/>
		</action>
		
		<action path ="/w83bProcesarCierreOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bProcesarCierreOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bProcesarCierre.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
		</action>
		
		<action path ="/w83bDeshacerCierreOP" name="w83bCierreMensual" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bDeshacerCierreOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bDeshacerCierre.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
		</action>
		
		<action path ="/w83bCrearTablaPrevCierre" 
			 parameter="w83bCrearTablaPrevCierreOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bPrevalidarCierreOutOP.do" />
					<forward name="error" path="/w83bInicioCierre.do" />
		</action>
		
		<action path ="/w83bDeshacerCierre" 
			 parameter="w83bDeshacerCierreOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bInicioCierreFinal.do" />
					<forward name="error" path="/w83bInicioCierre.do" />
		</action>
		
		<action path ="/w83bDeshacerCierreOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bDeshacerCierreOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioCierre.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
		</action>
		
		<action path ="/w83bProcesarCierre" 
			 parameter="w83bProcesarCierreOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bProcesarCierreOutOP.do" />
					<forward name="error" path="/w83bInicioCierre.do" />
		</action>
		
		<action path ="/w83bPrevalidarCierreOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bPrevalidarCierreOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioCierre.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
		</action>
		
		<action path ="/w83bProcesarCierreOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bProcesarCierreOutOPAction" 
			 validate="false">
			
		</action>
		
		<action path ="/w83bConsultarCierreOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bConsultarCierreOPAction" 
			 validate="false">
			<forward name="find" path="/w83bConsultarCierre.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
			<forward name="outPut" path="/w83bConsultarCierreOutOP.do"/>
		</action>
		
		<action path ="/w83bConsultarCierre" 
			 parameter="w83bConsultarCierreOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bConsultarCierreOutOP.do" />
					<forward name="error" path="/w83bInicioCierre.do" />
		</action>
		
		<action path ="/w83bConsultarCierreOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bConsultarCierreOutOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioCierre.do"/>
			<forward name="error" path="/w83bInicioCierre.do"/>
		</action>
		
		<action path ="/w83bCrearExcelCierremensual" name="w83bCierreMensual" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bCrearExcelCierremensualAction" 
			 validate="false">
		</action>
		
		<action path ="/w83bImprimirTabla" name="w83bCierreMensual" scope="request" type="w83b.w83bOperacionesPaso.w83bCierre.W83bImprimirTablaAction" 
			 validate="false">
		</action>	
		
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/informes/validation-informes.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>